<?php
/**
 * @package Scrappy
 */

function scrappy_sidebars() {
	register_sidebar( array(
		'id' => 'right-sidebar',
		'name' => __( 'Right Sidebar' , 'scrappy' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		)
	);
	register_sidebar( array(
		'id' => 'footer-sidebar-1',
		'name' => __( 'Footer Sidebar 1', 'scrappy' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		) 
	);
	register_sidebar( array(
		'id' => 'footer-sidebar-2',
		'name' => __( 'Footer Sidebar 2', 'scrappy' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		) 
	);
	register_sidebar( array(
		'id' => 'footer-sidebar-3',
		'name' => __( 'Footer Sidebar 3', 'scrappy' ),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>'
		) 
	);
}

add_action( 'widgets_init', 'scrappy_sidebars' );

if ( function_exists( 'register_nav_menu' ) ) {
	register_nav_menu( 'menu', __( 'Header Navigation Menu' , 'scrappy' ) );
}

add_action( 'wp_print_styles', 'scrappy_print_styles' );

function scrappy_print_styles() {
	if ( ! is_admin() ) {
		wp_register_style('googleFonts', 'http://fonts.googleapis.com/css?family=Rochester|Unna');
		wp_enqueue_style( 'googleFonts');
	}
}
 
if ( ! isset( $content_width ) ) 
	$content_width = 640;

add_theme_support('automatic-feed-links');

add_editor_style();

add_custom_background();

load_theme_textdomain( 'scrappy', get_template_directory() . '/languages' );

add_theme_support( 'post-thumbnails' ); 

set_post_thumbnail_size( 640, 200, true );

$locale = get_locale();
$locale_file = get_template_directory() . "/languages/$locale.php";
if ( is_readable( $locale_file ) ) {
	require_once( $locale_file );
}

?>