<?php
/**
 * @package Scrappy
 */

get_header();

?>

	<div id="content" class="content">
	<?php if ( is_day() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'Daily Archives: %s', 'scrappy' ), get_the_date() . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_month() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'Monthly Archives: %s', 'scrappy' ), get_the_date( 'F Y' ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_year() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'Yearly Archives: %s', 'scrappy' ), get_the_date( 'Y' ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_category() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'Category Archives: %s', 'scrappy' ), single_cat_title( '', false ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_search() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'You searched for: %s', 'scrappy' ), get_search_query() . '</span>' ); echo "<div class='alignright'>"; get_search_form(); echo '</div><hr class="divider"/>'; ?>
	<?php elseif ( is_tag() ) : ?>
		<?php printf( '<span class="archives-title">' . __( 'Tag Archives: %s', 'scrappy' ), single_tag_title( '', false ) . '</span><hr class="divider"/>' ); ?>
	<?php endif; ?>
	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<div class="post-date">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to' , 'scrappy' ) ?> <?php the_title_attribute(); ?>">
					<span class="post-month"><?php the_time('M'); ?></span>
					<span class="post-day"><?php the_time('j'); ?></span>
					<span class="post-year"><?php the_time('Y'); ?></span>
					</a>
				</div>
				<?php edit_post_link( __( 'Edit', 'scrappy' ), '<div class="edit-post-link">', '</div>') ?>	
				<?php if ( has_post_thumbnail() ) { 
						echo "<a href=\"" . get_permalink() . "\">";
						the_post_thumbnail();
						echo "</a>";
					} ?>
				<h2 class="page_title">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to' , 'scrappy' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				</h2>
				<small><?php _e( 'by' , 'scrappy' ); ?> <?php the_author() ?></small>
				<div class="entry">
					<?php the_content( __( 'Read the rest of this entry' , 'scrappy' ) . ' &raquo;'); ?>
					<?php wp_link_pages(array('before' => '<p class="clear">' . __( 'Pages:' , 'scrappy' ) . ' ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

					<p class="postmetadata clear">
						<?php _e( 'Categories:' , 'scrappy' ) ?> <?php the_category(', ') ?> | 
						<?php comments_popup_link( __( 'No Comments' , 'scrappy' ) . ' &#187;', '1 ' . __( 'Comment' , 'scrappy' ) . ' &#187;', '% ' . __( 'Comments' , 'scrappy' ) . ' &#187;'); ?>
					</p>
				
				</div>
			</div>
			<hr class="divider" />
            
            		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo;' . __( 'Older Entries' , 'scrappy' ) ) ?></div>
			<div class="alignright"><?php previous_posts_link( __( 'Newer Entries' , 'scrappy' ) . ' &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="page_title"><?php _e( 'Not Found' , 'scrappy' ) ?></h2>
		<p><?php _e( 'Sorry, no posts matched your criteria.', 'scrappy' ) ?></p>
		<?php get_search_form(); ?>

	<?php endif; ?>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
