<?php
/**
 * @package Scrappy
 */

get_header();
?>

	<div id="content" class="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<div class="post-date">
				<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to' , 'scrappy' ) ?> <?php the_title_attribute(); ?>">
				<span class="post-month"><?php the_time('M'); ?></span>
				<span class="post-day"><?php the_time('j'); ?></span>
				<span class="post-year"><?php the_time('Y'); ?></span>
				</a>
			</div>
			
			<?php edit_post_link( __( 'Edit', 'scrappy' ), '<div class="edit-post-link">', '</div>') ?>
			<?php the_post_thumbnail(); ?>
			<h2 class="page_title">
				<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e( 'Permanent Link to' , 'scrappy' ) ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
			</h2>
			<small><?php _e( 'by' , 'scrappy' ) ?> <?php the_author() ?></small>
			<div class="entry">
				<?php the_content('<p>' . __( 'Read the rest of this entry' , 'scrappy' ) . ' &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p class="clear">' . __( 'Pages:' , 'scrappy' ) . ' ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<?php the_tags( '<p class="postmetadata clear">' . __( 'Tags:', 'scrappy' ) . ' ', ', ', '</p>'); ?>

				<p class="postmetadata clear">
					<?php _e( 'Categories:' , 'scrappy' ) ?> <?php the_category(', ') ?> | 
					<?php comments_popup_link( __( 'No Comments' , 'scrappy' ) . ' &#187;', '1 ' . __( 'Comment' , 'scrappy' ) . ' &#187;', '% ' . __( 'Comments' , 'scrappy' ) . ' &#187;'); ?>
				</p>
				<hr class="divider" />
				
			</div>
			<?php comments_template(); ?>
		</div>

	<?php endwhile; else: ?>

		<h2 class="page_title"><?php _e( 'Not Found' , 'scrappy' ) ?></h2>
		<p><?php _e( 'Sorry, no posts matched your criteria.', 'scrappy' ) ?></p>
		<?php get_search_form(); ?>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
